//
//  MINTLDynamicLink.swift
//  MenuTester
//
//  Created by narita on 2017/08/15.
//  Copyright © 2017年 narita. All rights reserved.
//

import Foundation
import Darwin

class MINTLDynamicLink
{
    // MARK: - class methods
    
    // MARK: - init methods
    
    // MARK: - dealloc
    
    // MARK: - NSCopying, hash, isEqual:
    
    // MARK: - NSCoding methods
    
    // MARK: - restorableState methods
    
    // MARK: - life cycle methods
    
    
    // MARK: - action methods
    
    // MARK: - event handling methods
    
    // MARK: - drawing methods
    
    // MARK: - delegate/datasource methods
    
    
    // MARK: - accessor methods (in pairs)

    // MARK: - Utility methods
    static func symbolPtrFromSelf<T>(symbol: String, type: T.Type ) -> T?
    {
        let RTLD_SELF      = UnsafeMutableRawPointer(bitPattern: -3)

        if let theSymbolAddress = dlsym(RTLD_SELF, symbol.cString(using: String.Encoding.utf8))
        {
            return unsafeBitCast(theSymbolAddress, to: type)
        }
        
        return nil
    }
}
