//
//  MINTLPreferencesWindow.swift
//  MenuTester
//
//  Created by narita on 2017/08/03.
//  Copyright © 2017年 narita. All rights reserved.
//

import Cocoa

class MINTLPreferencesWindow: MINTLWindow
{
    // MARK: - class methods
    
    // MARK: - init methods
    
    // MARK: - dealloc
    
    // MARK: - NSCopying, hash, isEqual:
    
    // MARK: - NSCoding methods
    
    // MARK: - restorableState methods
    
    // MARK: - life cycle methods
    
    override func close()
    {
        // NSTextFieldなどのCommitが必要なControl対策
        self.makeFirstResponder(nil)
        super.close()
    }

    // MARK: - action methods
    
    @IBAction override func cancelOperation(_ sender : Any?)
    {
        self.close()
    }
    
    func canCancelOperation() -> Bool
    {
        return true;
    }
    
    @IBAction override func toggleToolbarShown(_ sender : Any?)
    {
        // 実行しない
    }
    
    func canToggleToolbarShown() -> Bool
    {
        // メニューやボタンをDisableにする
        return false;
    }
    
    @IBAction override func toggleTabBar(_ sender : Any?)
    {
        // 実行しない
    }
    
    func canToggleTabBar() -> Bool
    {
        // メニューやボタンをDisableにする
        return false;
    }
    

    // MARK: - event handling methods
    
    // MARK: - drawing methods
    
    // MARK: - delegate/datasource methods
    
    // MARK: - accessor methods (in pairs)
    
    // MARK: - Utility methods

}
