//
//  MINTLOutletProxy.swift
//  TravelAdvisor
//
//  Created by narita on 2017/09/02.
//  Copyright © 2017年 narita. All rights reserved.
//

import Cocoa

// シンプルだが強力なアイデア。異なるnibファイルののobjectにoutletを張る事が出来る。ダクトテープ系クラス
class MINTLOutletProxy: NSObject
{
    // MARK: - class methods
    
    // MARK: - init methods
    
    // MARK: - dealloc
    
    // MARK: - NSCopying, hash, isEqual:
    
    // MARK: - NSCoding methods
    
    // MARK: - restorableState methods
    
    // MARK: - life cycle methods
    
    @objc override func awakeFromNib()
    {
        if outletObject != nil && objectRoot != nil && outletName != nil
        {
            let theValue = self.objectPath != nil ?
                            self.objectRoot!.value(forKeyPath: self.objectPath!) : self.objectRoot!
            
            self.outletObject!.setValue(theValue, forKeyPath: self.outletName!)
        }
    }
    
    // MARK: - action methods
    
    // MARK: - event handling methods
    
    // MARK: - drawing methods
    
    // MARK: - delegate/datasource methods
    
    // MARK: - accessor methods (in pairs)

    // そのポインター値は、objectRootを起点として、キーパスobjectPathで示されるオブジェクトのポインター
    @IBOutlet      var objectRoot: NSObject?   = nil
    @IBInspectable var objectPath: String?     = nil

    // オブジェクトoutletObjectのアウトレット名outletNameにポインター値を入れる。
    @IBOutlet      var outletObject: NSObject? = nil
    @IBInspectable var outletName:   String?   = nil
    
    
    // MARK: - Utility methods
}
